Page 1 of 1

No module named 'deluge.libtorrent', 2.1.1 on Ubuntu 20.04

Posted: Thu Sep 22, 2022 4:50 pm
by mortoray
I upgraded to version 2.1.1 today and am getting a `No module named 'deluge.libtorrent'` error.

I've tried uninstalling, reinstalling, including the libtorrent package, but nothing seems to help.

Code: Select all

18:48:18 [ERROR   ][deluge.ui.gtk3.gtkui              :1343] No libtorrent library found: No module named 'libtorrent'
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/deluge/_libtorrent.py", line 21, in <module>
    import deluge.libtorrent as lt
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/deluge/_libtorrent.py", line 24, in <module>
    import libtorrent as lt
ModuleNotFoundError: No module named 'libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/deluge/ui/gtk3/gtkui.py", line 309, in _on_reactor_start
    client.start_standalone()
  File "/usr/lib/python3/dist-packages/deluge/ui/client.py", line 637, in start_standalone
    self._daemon_proxy = DaemonStandaloneProxy(self.__event_handlers)
  File "/usr/lib/python3/dist-packages/deluge/ui/client.py", line 458, in __init__
    from deluge.core import daemon
  File "/usr/lib/python3/dist-packages/deluge/core/daemon.py", line 19, in <module>
    from deluge.core.core import Core
  File "/usr/lib/python3/dist-packages/deluge/core/core.py", line 26, in <module>
    from deluge._libtorrent import LT_VERSION, lt
  File "/usr/lib/python3/dist-packages/deluge/_libtorrent.py", line 26, in <module>
    raise LibtorrentImportError('No libtorrent library found: %s' % (ex))
deluge.error.LibtorrentImportError: No libtorrent library found: No module named 'libtorrent'